import '../provider/data.dart';
import '../utils/board_utils.dart';

class GameUtils {

  static Future<void> resetGame(Data myProvider) async {
    myProvider.updateStateRunning = false;
  }

  static Future<void> startGame(Data myProvider) async {
    print('Start new game: ' + myProvider.size);
    myProvider.updateSize = myProvider.size;
    myProvider.updateStateRunning = true;
    myProvider.updateCells = BoardUtils.createEmptyBoard(myProvider.blockSizeHorizontal * myProvider.blockSizeVertical);
    BoardUtils.pickGrid(myProvider);
  }
}
